Bug 1500958

Summary: Review Request: python-kiwi-gtk - Framework for Python GUI applications
Product: [Fedora] Fedora Reporter: Haïkel Guémar <karlthered>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: karlthered, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-30 12:52:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1483339    

Description Haïkel Guémar 2017-10-11 20:45:39 UTC
Spec URL: https://hguemar.fedorapeople.org/reviews/python-kiwi-gtk.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-kiwi-gtk-1.11.1-1.fc28.src.rpm
Description: Framework for Python GUI applications 
Fedora Account System Username: hguemar

Rename due to name conflict, as kiwi has been renamed to kiwi-gtk upstream hence that review. Here is discussion on devel list
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/OSJHZJCEB4MJR4SQI7QCYBJJCXFH4WVX/?sort=date

No Obsoletes as a different python-kiwi package will be introduced, any suggestion to a clean upgrade path is welcome

Comment 1 Neal Gompa 2017-10-12 08:02:28 UTC
The spec looks good, but here's a thought for upgrade paths:

1. Change reverse dependency of kiwi-gtk (flumotion) to the new name for the dependency
2. New python2-kiwi will have Conflicts with python2-kiwi and python-kiwi < 8.00
3. New python2-kiwi will have Conflicts with flumotion <= ver-rel that requires python-kiwi.

Does that work for you?

Comment 2 Neal Gompa 2017-10-12 08:06:08 UTC
Also, as a note, it looks like the python2-kiwi-gtk subpackage is a noarch package? So it should have "BuildArch: noarch", right?

Comment 3 Neal Gompa 2017-10-12 08:07:05 UTC
> 2. New python2-kiwi will have Conflicts with python2-kiwi and python-kiwi < 8.00

It will also have a conflicts of "python2-kiwi-gtk" to codify the folder conflict.

Comment 4 Neal Gompa 2017-10-18 12:30:53 UTC
Any feedback?

Comment 5 Haïkel Guémar 2018-01-23 15:39:09 UTC
Ack for suggestion, I'll push a newer version of the spec this week (should be ready but haven't finished to test it)

Comment 7 Neal Gompa 2018-01-24 13:05:52 UTC
Looks good to me.

Please make sure to change flumotion as noted in Comment 1 after completing the rename.

Comment 8 Neal Gompa 2018-01-24 13:06:55 UTC
This will require special attention by releng, because the git repository needs to be renamed instead of you getting a new repository, otherwise I can't use python-kiwi still.

Comment 9 Neal Gompa 2018-01-24 13:09:49 UTC
The same would probably go for its counterpart in Koji...

Comment 10 Haïkel Guémar 2018-01-25 14:00:00 UTC
I'll fix flumotion at the same time as provenpackager.

Comment 11 Gwyn Ciesla 2018-02-01 14:06:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-kiwi-gtk

Comment 12 Neal Gompa 2018-02-26 04:28:23 UTC
(In reply to Haïkel Guémar from comment #10)
> I'll fix flumotion at the same time as provenpackager.

Can you please get this package imported and make the necessary adjustments in f28 and rawhide?

Comment 13 Fedora Update System 2018-03-12 23:25:46 UTC
python-kiwi-gtk-1.11.1-1.fc28 flumotion-0.11.0.1-9.20140103git886031a.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f7373a17

Comment 14 Fedora Update System 2018-03-13 15:11:12 UTC
flumotion-0.11.0.1-9.20140103git886031a.fc28, python-kiwi-gtk-1.11.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f7373a17

Comment 15 Fedora Update System 2018-03-30 12:52:22 UTC
flumotion-0.11.0.1-9.20140103git886031a.fc28, python-kiwi-gtk-1.11.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.